package org.nla.cobol;

import java.util.*;

public class CobolCopyBookLineMapping implements Iterable{

	protected List<CobolElementValueMapping> lstMappings;
	
	public CobolCopyBookLineMapping() {
		lstMappings = new ArrayList<CobolElementValueMapping>();
	}
	
	public void addMapping( CobolElementValueMapping cevm ) {
		lstMappings.add( cevm );
	}
	
	public Iterator<CobolElementValueMapping> iterator() {
		return lstMappings.iterator();
	}
	
	public CobolElementValueMapping getMapping( int position ) {
		return lstMappings.get( position );
	}

	public int getMappingSize() {
		return lstMappings.size();
	}
}
